path: /build/build/fspath-dev-python-20230629+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - anise repo update && anise upgrade -y && anise cleanup
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge dev-python/fspath -pv -t && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/fspath
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/fspath && luet-portage --dir /pkgdir/fspath
    dev-python/fspath && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:a0a3f79ace6467d3114c69e2e271b7f7a55ceb5dbe2bdb90ebb7125d406e5ebc
  package:
    name: fspath
    version: 20230629+1
    category: dev-python
    use_flags:
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: macaroni-funtoo-race16
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Handling path names and executables more comfortable
    uri:
    - https://github.com/return42/fspath https://pypi.org/project/fspath/
    license: AGPL-3.0
    buildtimestamp: 2024-05-05 15:27:29.805797431 +0000 UTC m=+255.895829761
    labels:
      BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/setuptools-62.3.3[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        dev-python/wheel[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      DEPEND: dev-python/setuptools[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        dev-python/six[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        dev-python/wheel[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8
      RDEPEND: dev-python/six[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      emerge.packages: dev-python/fspath
      kit: geaaru-kit
      original.package.name: dev-python/fspath
      original.package.slot: "0"
      original.package.version: "20230629"
    treedir: /build/packages
  package_dir: /pkgdir/fspath
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: af22ec40a7e7a29865c852cba0d562d6a2e981ac9859d36e46aa838c84931c2c
compressiontype: zstd
files:
- usr/bin/fspath
- usr/bin/which.py
- usr/lib/python-exec/python3.9/fspath
- usr/lib/python-exec/python3.9/which.py
- usr/lib/python3.9/site-packages/fspath/__init__.py
- usr/lib/python3.9/site-packages/fspath/__pkginfo__.py
- usr/lib/python3.9/site-packages/fspath/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/fspath/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/fspath/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/fspath/__pycache__/__pkginfo__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/fspath/__pycache__/__pkginfo__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/fspath/__pycache__/__pkginfo__.cpython-39.pyc
- usr/lib/python3.9/site-packages/fspath/__pycache__/_which.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/fspath/__pycache__/_which.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/fspath/__pycache__/_which.cpython-39.pyc
- usr/lib/python3.9/site-packages/fspath/__pycache__/cli.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/fspath/__pycache__/cli.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/fspath/__pycache__/cli.cpython-39.pyc
- usr/lib/python3.9/site-packages/fspath/__pycache__/compat.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/fspath/__pycache__/compat.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/fspath/__pycache__/compat.cpython-39.pyc
- usr/lib/python3.9/site-packages/fspath/__pycache__/console.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/fspath/__pycache__/console.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/fspath/__pycache__/console.cpython-39.pyc
- usr/lib/python3.9/site-packages/fspath/__pycache__/debug.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/fspath/__pycache__/debug.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/fspath/__pycache__/debug.cpython-39.pyc
- usr/lib/python3.9/site-packages/fspath/__pycache__/fspath.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/fspath/__pycache__/fspath.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/fspath/__pycache__/fspath.cpython-39.pyc
- usr/lib/python3.9/site-packages/fspath/__pycache__/helper.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/fspath/__pycache__/helper.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/fspath/__pycache__/helper.cpython-39.pyc
- usr/lib/python3.9/site-packages/fspath/__pycache__/main.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/fspath/__pycache__/main.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/fspath/__pycache__/main.cpython-39.pyc
- usr/lib/python3.9/site-packages/fspath/__pycache__/os_env.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/fspath/__pycache__/os_env.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/fspath/__pycache__/os_env.cpython-39.pyc
- usr/lib/python3.9/site-packages/fspath/__pycache__/progressbar.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/fspath/__pycache__/progressbar.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/fspath/__pycache__/progressbar.cpython-39.pyc
- usr/lib/python3.9/site-packages/fspath/__pycache__/sui.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/fspath/__pycache__/sui.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/fspath/__pycache__/sui.cpython-39.pyc
- usr/lib/python3.9/site-packages/fspath/__pycache__/win.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/fspath/__pycache__/win.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/fspath/__pycache__/win.cpython-39.pyc
- usr/lib/python3.9/site-packages/fspath/_which.py
- usr/lib/python3.9/site-packages/fspath/cli.py
- usr/lib/python3.9/site-packages/fspath/compat.py
- usr/lib/python3.9/site-packages/fspath/console.py
- usr/lib/python3.9/site-packages/fspath/debug.py
- usr/lib/python3.9/site-packages/fspath/fspath.py
- usr/lib/python3.9/site-packages/fspath/helper.py
- usr/lib/python3.9/site-packages/fspath/main.py
- usr/lib/python3.9/site-packages/fspath/os_env.py
- usr/lib/python3.9/site-packages/fspath/progressbar.py
- usr/lib/python3.9/site-packages/fspath/sui.py
- usr/lib/python3.9/site-packages/fspath/win.py
- usr/lib/python3.9/site-packages/fspath-20230629.dist-info/METADATA
- usr/lib/python3.9/site-packages/fspath-20230629.dist-info/RECORD
- usr/lib/python3.9/site-packages/fspath-20230629.dist-info/WHEEL
- usr/lib/python3.9/site-packages/fspath-20230629.dist-info/entry_points.txt
- usr/lib/python3.9/site-packages/fspath-20230629.dist-info/top_level.txt
- usr/share/doc/fspath-20230629/README.rst.bz2
- var/db/pkg/dev-python/fspath-20230629/BDEPEND
- var/db/pkg/dev-python/fspath-20230629/BUILD_TIME
- var/db/pkg/dev-python/fspath-20230629/CATEGORY
- var/db/pkg/dev-python/fspath-20230629/CBUILD
- var/db/pkg/dev-python/fspath-20230629/CFLAGS
- var/db/pkg/dev-python/fspath-20230629/CHOST
- var/db/pkg/dev-python/fspath-20230629/CONTENTS
- var/db/pkg/dev-python/fspath-20230629/COUNTER
- var/db/pkg/dev-python/fspath-20230629/CXXFLAGS
- var/db/pkg/dev-python/fspath-20230629/DEFINED_PHASES
- var/db/pkg/dev-python/fspath-20230629/DEPEND
- var/db/pkg/dev-python/fspath-20230629/DESCRIPTION
- var/db/pkg/dev-python/fspath-20230629/EAPI
- var/db/pkg/dev-python/fspath-20230629/FEATURES
- var/db/pkg/dev-python/fspath-20230629/HOMEPAGE
- var/db/pkg/dev-python/fspath-20230629/INHERITED
- var/db/pkg/dev-python/fspath-20230629/IUSE
- var/db/pkg/dev-python/fspath-20230629/IUSE_EFFECTIVE
- var/db/pkg/dev-python/fspath-20230629/KEYWORDS
- var/db/pkg/dev-python/fspath-20230629/LDFLAGS
- var/db/pkg/dev-python/fspath-20230629/LICENSE
- var/db/pkg/dev-python/fspath-20230629/PF
- var/db/pkg/dev-python/fspath-20230629/RDEPEND
- var/db/pkg/dev-python/fspath-20230629/SIZE
- var/db/pkg/dev-python/fspath-20230629/SLOT
- var/db/pkg/dev-python/fspath-20230629/USE
- var/db/pkg/dev-python/fspath-20230629/environment.bz2
- var/db/pkg/dev-python/fspath-20230629/fspath-20230629.ebuild
- var/db/pkg/dev-python/fspath-20230629/repository
package_cacheimage: ""
runtime:
  name: fspath
  version: 20230629+1
  category: dev-python
  use_flags:
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: six
    version: '>=0'
    category: dev-python
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Handling path names and executables more comfortable
  uri:
  - https://github.com/return42/fspath https://pypi.org/project/fspath/
  license: AGPL-3.0
  labels:
    BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/setuptools-62.3.3[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      dev-python/wheel[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    DEPEND: dev-python/setuptools[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      dev-python/six[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      dev-python/wheel[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8
    RDEPEND: dev-python/six[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    emerge.packages: dev-python/fspath
    kit: geaaru-kit
    original.package.name: dev-python/fspath
    original.package.slot: "0"
    original.package.version: "20230629"
